org.apache.uima.resource

## Interface FileLanguageResourceSpecifier

- All Superinterfaces:
    Cloneable, MetaDataObject, ResourceSpecifier, Serializable, XMLizable
  All Known Implementing Classes:
    FileLanguageResourceSpecifier_impl

      public interface FileLanguageResourceSpecifier
      extends ResourceSpecifier

  A type of `ResourceSpecifier` that locates a resource file using its URL, where the URL depends on an ISO language identifier. An example of this type of resource is a dictionary with a separate data file for each language.

  Instead of a single URL, this specifier defines a URL prefix and a URL suffix. The ISO language identifier is then placed between the prefix and suffix to form the complete URL of the file. If that file does not exist, more general language identifiers will be tried. For example, if there is no resource for `en-US`, the resource for `en` will be used instead.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getFileUrlPrefix()` Retrieves the URL prefix.
    `String` | `getFileUrlSuffix()` Retrieves the URL suffix.
    `void` | `setFileUrlPrefix(String aPrefix)` Sets the URL prefix.
    `void` | `setFileUrlSuffix(String aSuffix)` Sets the URL suffix.

    - ### Methods inherited from interface org.apache.uima.resource.metadata.MetaDataObject

      `clone, equals, getAttributeValue, getSourceUrl, getSourceUrlString, isModifiable, listAttributes, setAttributeValue, setSourceUrl`

    - ### Methods inherited from interface org.apache.uima.util.XMLizable

      `buildFromXMLElement, buildFromXMLElement, toXML, toXML, toXML, toXML`

- - ### Method Detail

    - #### getFileUrlPrefix

          String getFileUrlPrefix()

      Retrieves the URL prefix.
      Returns:
        the URL prefix

    - #### getFileUrlSuffix

          String getFileUrlSuffix()

      Retrieves the URL suffix.
      Returns:
        the URL suffix

    - #### setFileUrlPrefix

          void setFileUrlPrefix(String aPrefix)

      Sets the URL prefix.
      Parameters:
        `aPrefix` - the URL prefix

    - #### setFileUrlSuffix

          void setFileUrlSuffix(String aSuffix)

      Sets the URL suffix.
      Parameters:
        `aSuffix` - the URL suffix

Copyright © 2006–2022 The Apache Software Foundation. All rights reserved.